#
# spec file for package nvptx-tools
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nvptx-tools
Version:        1.0
Release:        150000.4.6.1
Summary:        PTX language tools
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/MentorEmbedded/nvptx-tools/
# tarball built from https://github.com/MentorEmbedded/nvptx-tools.git
Source0:        nvptx-tools.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Note that w/o a CUDA development (at least cuda.h and libcuda.so) the
# tools for executing are not built.  CUDA is not free software.
BuildRequires:  gcc-c++
# The package is used for NVPTX offloading support in GCC which is currently
# only enabled on x86_64 and aarch64
ExclusiveArch:  x86_64 aarch64

%description
A collection of tools for use with nvptx-none (NVIDIA Parallel Thread
Execution) GCC toolchains.

* nvptx-none-as: "assembler" for PTX.
* nvptx-none-ld: "linker" for PTX.
* nvptx-none-run: run PTX binaries compiled with -mmainkernel.
* nvptx-none-run-single: like nvptx-none-run, but locked, such that
  system-wide, only one instance of it is running at a time.

%prep
%setup -q -n nvptx-tools

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%dir %{_prefix}/nvptx-none
%{_prefix}/nvptx-none
%{_bindir}/nvptx-none-ar
%{_bindir}/nvptx-none-as
%{_bindir}/nvptx-none-ld
%{_bindir}/nvptx-none-ranlib
%{_bindir}/nvptx-none-run
%{_bindir}/nvptx-none-run-single
%doc COPYING3

%changelog
* Thu Oct 13 2022 rguenther@suse.com
- Update nvptx-tools tarball from git
  * includes changes in nvptx-tools.patch
  * deals with CUDA 11 dropping support for NVIDIA Kepler sm_30 and sm_32
- Remove nvptx-tools.patch as it is included in the above tarball update
- Package nvptx-none-run and nvptx-none-run-single tools
* Wed Jun  3 2020 guillaume.gardet@opensuse.org
- Enable build on aarch64
* Tue Sep  5 2017 rguenther@suse.com
- Update nvptx-tools.patch to check for getopt to avoid providing
  an incompatible declaration.
* Mon Feb  6 2017 jengelh@inai.de
- Update description
* Mon Feb  6 2017 rguenther@suse.com
- Package COPYING3.
* Thu Jan 26 2017 rguenther@suse.com
- Initial version.
- Add nvptx-tools.patch to avoid errors when ptxas is not available.
